function [DF0]=DF0_ch(x,phi_1,phi_2)
%   INPUT DATA
% x: the vector of cosine Fourier coefficients of the solution
% phi_j (j=1,2): the two linearly independent vectors in the kernel of
%                Df^{(m)}(x)
%
%   OUTPUT DATA
% DF0: The Jacobian matrix (the derivative) of the map F_0 at the point x
%
DF0=zeros(length(x));

DF0(1,:)=phi_1';
DF0(2,:)=phi_2';
DF0(3:end,:)=Df_ch(x);

end